from rocolib.api.ports import Port
from rocolib.utils.utils import prefix as prefixString

class AnchorPort(Port):
  def __init__(self, parent, graph, face, transform):
    Port.__init__(self, parent, {})
    self.graph = graph
    self.face = face
    self.transform = transform

  def prefix(self, prefix=""):
    self.face = prefixString(prefix, self.face)

  def getFace(self):
    return self.graph.getFace(self.face)

  def getTransform(self):
    return self.transform

  def getFaceName(self):
    return self.face

  def toString(self):
    return str(self.face.name)

  def canMate(self, otherPort):
    return False
