from rocolib.api.components.Component import Component

c = Component()

# BOX

c.addSubcomponent("cabin","Cabin", inherit=True, prefix=None)
c.addSubcomponent("boat","BoatBase", root=True, inherit=True)

c.addConstraint(("boat","boat.length"), ("length", "depth"), "sum(x)")
c.addConstraint(("boat","boat.width"), "width")
c.addConstraint(("boat","boat.depth"), "width", "x/3.")
c.addConstraint(("boat","bow.point"), "length", "x/2.")
c.addConstraint(("boat","stern.point"), "length", "x/8.")

c.addConnection(("cabin", "portedge"), ("boat", "portedge"), angle=0)
c.addConnection(("cabin", "staredge"), ("boat", "staredge"), angle=0, tabWidth=10)

c.inheritInterface(("portedge"), ("boat", "portedge"))
c.inheritInterface(("staredge"), ("boat", "staredge"))

c.toLibrary("Tug")
